Package com.avaya.clientservices.agent

## Enum PendingLogoutReason

- java.lang.Object
- - java.lang.Enum<PendingLogoutReason>
  - - com.avaya.clientservices.agent.PendingLogoutReason

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PendingLogoutReason>`

      public enum PendingLogoutReason
      extends java.lang.Enum<PendingLogoutReason>

  Represents the policies used to describe the use of reason codes for pending logout.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FORCED` | A reason code for logout pending is "forced-logout".
    `REQUESTED` | A reason code for logout pending is "agent-requested".
    `TIMED` | A reason code for logout pending is "timed-logout".
    `UNDEFINED` | Reason code is not defined.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PendingLogoutReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PendingLogoutReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final PendingLogoutReason UNDEFINED

      Reason code is not defined.

    - #### TIMED

          public static final PendingLogoutReason TIMED

      A reason code for logout pending is "timed-logout".

    - #### FORCED

          public static final PendingLogoutReason FORCED

      A reason code for logout pending is "forced-logout".

    - #### REQUESTED

          public static final PendingLogoutReason REQUESTED

      A reason code for logout pending is "agent-requested".

  - ### Method Detail

    - #### values

          public static PendingLogoutReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PendingLogoutReason c : PendingLogoutReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PendingLogoutReason valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null